Bug 181884 - devel/ace: Update to version 6.2.1
Summary: devel/ace: Update to version 6.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-06 19:10 UTC by tkato432
Modified: 2013-10-10 08:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.45 KB, patch)
2013-09-06 19:10 UTC, tkato432
no flags Details | Diff
devel_ace.diff (10.92 KB, patch)
2013-10-09 18:55 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-09-06 19:10:03 UTC
- Update to version 6.2.1
Comment 1 Edwin Groothuis freebsd_committer 2013-09-06 19:11:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:11:54 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 tkato432 2013-10-09 18:55:15 UTC
Version 6.2.2 has been released.
Comment 4 Jason E. Hale freebsd_committer 2013-10-10 07:27:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 5 dfilter service freebsd_committer 2013-10-10 08:19:57 UTC
Author: jhale
Date: Thu Oct 10 07:19:48 2013
New Revision: 329971
URL: http://svnweb.freebsd.org/changeset/ports/329971

Log:
  - Update to 6.2.2 [1]
  - Support staging [1]
  - Use new LIB_DEPENDS syntax
  - Use options helpers
  
  PR:		ports/181884 [1]
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com> [1]

Modified:
  head/devel/ace/Makefile
  head/devel/ace/distinfo
  head/devel/ace/pkg-plist

Modified: head/devel/ace/Makefile
==============================================================================
--- head/devel/ace/Makefile	Thu Oct 10 07:12:14 2013	(r329970)
+++ head/devel/ace/Makefile	Thu Oct 10 07:19:48 2013	(r329971)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	ace
-PORTVERSION=	6.2.0
+PORTVERSION=	6.2.2
 CATEGORIES=	devel
 MASTER_SITES=	ftp://download.dre.vanderbilt.edu/previous_versions/ \
 		http://download.dre.vanderbilt.edu/previous_versions/
@@ -11,19 +11,13 @@ DISTNAME=	${PORTNAME:U}-${PORTVERSION}
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Adaptive Communication Environment for C++
 
-OPTIONS_DEFINE=	SSL TRIO X11 FLTK TK QT4
-OPTIONS_DEFAULT=SSL
-TRIO_DESC=	Trio portable string functions
-FLTK_DESC=	FLTK GUI toolkit
-
 CONFLICTS=	ace+tao-5*
 
 WRKSRC=		${WRKDIR}/ACE_wrappers
 
 USE_BZIP2=	yes
-USES=		pkgconfig perl5
+USES=		gmake perl5 pkgconfig
 USE_PERL5=	build
-USE_GMAKE=	yes
 MAKE_ENV=	LD_LIBRARY_PATH="${WRKSRC}/lib" ACE_ROOT="${WRKSRC}" \
 		CROSS-COMPILE=1
 MAKEFILE=	GNUmakefile
@@ -34,55 +28,31 @@ LDFLAGS+=	-L${LOCALBASE}/lib
 
 PLIST_SUB=	VERSION="${PORTVERSION}"
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MSSL}
-USE_OPENSSL=	yes
-MAKE_ENV+=	ssl=1
-PLIST_SUB+=	OPENSSL=""
-.else
-PLIST_SUB+=	OPENSSL="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MTRIO}
-BUILD_DEPENDS+=	trio>=0:${PORTSDIR}/devel/trio
-MAKE_ENV+=	trio=1
-.endif
-
-.if ${PORT_OPTIONS:MX11}
-USE_XORG=	xt
-MAKE_ENV+=	xt=1
-PLIST_SUB+=	X11=""
-.else
-PLIST_SUB+=	X11="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MFLTK}
-LIB_DEPENDS+=	fltk:${PORTSDIR}/x11-toolkits/fltk
-MAKE_ENV+=	fl=1
-PLIST_SUB+=	FLTK=""
-.else
-PLIST_SUB+=	FLTK="@comment "
-.endif
+OPTIONS_DEFINE=		FLTK QT4 SSL TK TRIO X11
+OPTIONS_DEFAULT=	SSL
+OPTIONS_SUB=		yes
+
+FLTK_DESC=		FLTK GUI toolkit
+FLTK_LIB_DEPENDS=	libfltk.so:${PORTSDIR}/x11-toolkits/fltk
+FLTK_MAKE_ENV=		fl=1
+
+QT4_USE=		QT4=corelib gui moc_build
+QT4_MAKE_ENV=		qt=1 qt4=1 QTDIR="${QT_PREFIX}"
+QT4_CPPFLAGS=		-I${QT_INCDIR}
+QT4_LDFLAGS=		-L${QT_LIBDIR}
+
+SSL_USE=		OPENSSL=yes
+SSL_MAKE_ENV=		ssl=1
+
+TK_USES=		tk
+TK_MAKE_ENV=		tk=1
+
+TRIO_DESC=		Trio portable string functions
+TRIO_BUILD_DEPENDS=	trio>=0:${PORTSDIR}/devel/trio
+TRIO_MAKE_ENV=		trio=1
 
-.if ${PORT_OPTIONS:MTK}
-USES+=		tk
-MAKE_ENV+=	tk=1
-PLIST_SUB+=	TK=""
-.else
-PLIST_SUB+=	TK="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MQT4}
-USE_QT4=	corelib gui moc_build
-MAKE_ENV+=	qt=1 qt4=1 QTDIR="${QT_PREFIX}"
-CPPFLAGS+=	-I${QT_INCDIR}
-LDFLAGS+=	-L${QT_LIBDIR}
-PLIST_SUB+=	QT=""
-.else
-PLIST_SUB+=	QT="@comment "
-.endif
+X11_USE=		XORG=xt
+X11_MAKE_ENV=		xt=1
 
 .include <bsd.port.pre.mk>
 
@@ -116,12 +86,12 @@ do-configure:
 
 post-install:
 	@for f in `${LS} -d \
-		${PREFIX}/lib/libACE*.so.${PORTVERSION} \
-		${PREFIX}/lib/libJAWS.so.${PORTVERSION} \
-		${PREFIX}/lib/libKokyu.so.${PORTVERSION} \
+		${STAGEDIR}${PREFIX}/lib/libACE*.so.${PORTVERSION} \
+		${STAGEDIR}${PREFIX}/lib/libJAWS.so.${PORTVERSION} \
+		${STAGEDIR}${PREFIX}/lib/libKokyu.so.${PORTVERSION} \
 		| ${XARGS} ${BASENAME}`; do \
 		n=`echo $${f}|sed -e 's/.so.${PORTVERSION}/.so/'`; \
-		${LN} -sf $${n}.${PORTVERSION} ${PREFIX}/lib/$${n}.6; \
+		${LN} -sf $${n}.${PORTVERSION} ${STAGEDIR}${PREFIX}/lib/$${n}.6; \
 	done
 
 .include <bsd.port.post.mk>

Modified: head/devel/ace/distinfo
==============================================================================
--- head/devel/ace/distinfo	Thu Oct 10 07:12:14 2013	(r329970)
+++ head/devel/ace/distinfo	Thu Oct 10 07:19:48 2013	(r329971)
@@ -1,2 +1,2 @@
-SHA256 (ACE-6.2.0.tar.bz2) = 750f0ddee3d7abd75fcd6a47c86b84e2455543f7a6db9710e68cef7ddc27365f
-SIZE (ACE-6.2.0.tar.bz2) = 8026844
+SHA256 (ACE-6.2.2.tar.bz2) = a2615c069299668fea46197acf3e9adfd8ad925aea075ccd35767604e5bae734
+SIZE (ACE-6.2.2.tar.bz2) = 8052120

Modified: head/devel/ace/pkg-plist
==============================================================================
--- head/devel/ace/pkg-plist	Thu Oct 10 07:12:14 2013	(r329970)
+++ head/devel/ace/pkg-plist	Thu Oct 10 07:19:48 2013	(r329971)
@@ -396,13 +396,13 @@ include/ace/INet/FTP_Session.cpp
 include/ace/INet/FTP_Session.h
 include/ace/INet/FTP_URL.h
 include/ace/INet/FTP_URL.inl
-%%OPENSSL%%include/ace/INet/HTTPS_Context.h
-%%OPENSSL%%include/ace/INet/HTTPS_Context.inl
-%%OPENSSL%%include/ace/INet/HTTPS_Session.cpp
-%%OPENSSL%%include/ace/INet/HTTPS_Session.h
-%%OPENSSL%%include/ace/INet/HTTPS_SessionFactory.h
-%%OPENSSL%%include/ace/INet/HTTPS_URL.h
-%%OPENSSL%%include/ace/INet/HTTPS_URL.inl
+%%SSL%%include/ace/INet/HTTPS_Context.h
+%%SSL%%include/ace/INet/HTTPS_Context.inl
+%%SSL%%include/ace/INet/HTTPS_Session.cpp
+%%SSL%%include/ace/INet/HTTPS_Session.h
+%%SSL%%include/ace/INet/HTTPS_SessionFactory.h
+%%SSL%%include/ace/INet/HTTPS_URL.h
+%%SSL%%include/ace/INet/HTTPS_URL.inl
 include/ace/INet/HTTP_BasicAuthentication.h
 include/ace/INet/HTTP_BasicAuthentication.inl
 include/ace/INet/HTTP_ClientRequestHandler.h
@@ -431,21 +431,21 @@ include/ace/INet/HeaderBase.h
 include/ace/INet/HeaderBase.inl
 include/ace/INet/INet_Export.h
 include/ace/INet/INet_Log.h
-%%OPENSSL%%include/ace/INet/INet_SSL_Export.h
+%%SSL%%include/ace/INet/INet_SSL_Export.h
 include/ace/INet/IOS_util.h
 include/ace/INet/Request.h
 include/ace/INet/RequestHandler.h
 include/ace/INet/Response.h
-%%OPENSSL%%include/ace/INet/SSLSock_IOStream.cpp
-%%OPENSSL%%include/ace/INet/SSLSock_IOStream.h
-%%OPENSSL%%include/ace/INet/SSL_CallbackManager.h
-%%OPENSSL%%include/ace/INet/SSL_CallbackManager.inl
-%%OPENSSL%%include/ace/INet/SSL_CertificateCallback.h
-%%OPENSSL%%include/ace/INet/SSL_CertificateCallback.inl
-%%OPENSSL%%include/ace/INet/SSL_PasswordCallback.h
-%%OPENSSL%%include/ace/INet/SSL_Proxy_Connector.h
-%%OPENSSL%%include/ace/INet/SSL_X509Cert.h
-%%OPENSSL%%include/ace/INet/SSL_X509Cert.inl
+%%SSL%%include/ace/INet/SSLSock_IOStream.cpp
+%%SSL%%include/ace/INet/SSLSock_IOStream.h
+%%SSL%%include/ace/INet/SSL_CallbackManager.h
+%%SSL%%include/ace/INet/SSL_CallbackManager.inl
+%%SSL%%include/ace/INet/SSL_CertificateCallback.h
+%%SSL%%include/ace/INet/SSL_CertificateCallback.inl
+%%SSL%%include/ace/INet/SSL_PasswordCallback.h
+%%SSL%%include/ace/INet/SSL_Proxy_Connector.h
+%%SSL%%include/ace/INet/SSL_X509Cert.h
+%%SSL%%include/ace/INet/SSL_X509Cert.inl
 include/ace/INet/Sock_IOStream.cpp
 include/ace/INet/Sock_IOStream.h
 include/ace/INet/StreamHandler.cpp
@@ -750,8 +750,8 @@ include/ace/Process_Semaphore.h
 include/ace/Process_Semaphore.inl
 include/ace/Profile_Timer.h
 include/ace/Profile_Timer.inl
-%%QT%%include/ace/QtReactor/ACE_QtReactor_export.h
-%%QT%%include/ace/QtReactor/QtReactor.h
+%%QT4%%include/ace/QtReactor/ACE_QtReactor_export.h
+%%QT4%%include/ace/QtReactor/QtReactor.h
 include/ace/RB_Tree.cpp
 include/ace/RB_Tree.h
 include/ace/RB_Tree.inl
@@ -837,22 +837,22 @@ include/ace/SPIPE_Connector.h
 include/ace/SPIPE_Connector.inl
 include/ace/SPIPE_Stream.h
 include/ace/SPIPE_Stream.inl
-%%OPENSSL%%include/ace/SSL/SSL_Asynch_BIO.h
-%%OPENSSL%%include/ace/SSL/SSL_Asynch_Stream.h
-%%OPENSSL%%include/ace/SSL/SSL_Asynch_Stream.inl
-%%OPENSSL%%include/ace/SSL/SSL_Context.h
-%%OPENSSL%%include/ace/SSL/SSL_Context.inl
-%%OPENSSL%%include/ace/SSL/SSL_Export.h
-%%OPENSSL%%include/ace/SSL/SSL_Initializer.h
-%%OPENSSL%%include/ace/SSL/SSL_SOCK.h
-%%OPENSSL%%include/ace/SSL/SSL_SOCK.inl
-%%OPENSSL%%include/ace/SSL/SSL_SOCK_Acceptor.h
-%%OPENSSL%%include/ace/SSL/SSL_SOCK_Acceptor.inl
-%%OPENSSL%%include/ace/SSL/SSL_SOCK_Connector.h
-%%OPENSSL%%include/ace/SSL/SSL_SOCK_Connector.inl
-%%OPENSSL%%include/ace/SSL/SSL_SOCK_Stream.h
-%%OPENSSL%%include/ace/SSL/SSL_SOCK_Stream.inl
-%%OPENSSL%%include/ace/SSL/sslconf.h
+%%SSL%%include/ace/SSL/SSL_Asynch_BIO.h
+%%SSL%%include/ace/SSL/SSL_Asynch_Stream.h
+%%SSL%%include/ace/SSL/SSL_Asynch_Stream.inl
+%%SSL%%include/ace/SSL/SSL_Context.h
+%%SSL%%include/ace/SSL/SSL_Context.inl
+%%SSL%%include/ace/SSL/SSL_Export.h
+%%SSL%%include/ace/SSL/SSL_Initializer.h
+%%SSL%%include/ace/SSL/SSL_SOCK.h
+%%SSL%%include/ace/SSL/SSL_SOCK.inl
+%%SSL%%include/ace/SSL/SSL_SOCK_Acceptor.h
+%%SSL%%include/ace/SSL/SSL_SOCK_Acceptor.inl
+%%SSL%%include/ace/SSL/SSL_SOCK_Connector.h
+%%SSL%%include/ace/SSL/SSL_SOCK_Connector.inl
+%%SSL%%include/ace/SSL/SSL_SOCK_Stream.h
+%%SSL%%include/ace/SSL/SSL_SOCK_Stream.inl
+%%SSL%%include/ace/SSL/sslconf.h
 include/ace/SString.h
 include/ace/SString.inl
 include/ace/SStringfwd.h
@@ -1102,6 +1102,7 @@ include/ace/config-macosx-iOS-hardware.h
 include/ace/config-macosx-iOS-simulator.h
 include/ace/config-macosx-leopard.h
 include/ace/config-macosx-lion.h
+include/ace/config-macosx-mavericks.h
 include/ace/config-macosx-mountainlion.h
 include/ace/config-macosx-panther.h
 include/ace/config-macosx-snowleopard.h
@@ -1133,6 +1134,7 @@ include/ace/config-vxworks6.6.h
 include/ace/config-vxworks6.7.h
 include/ace/config-vxworks6.8.h
 include/ace/config-vxworks6.9.h
+include/ace/config-win32-borland.h
 include/ace/config-win32-cegcc.h
 include/ace/config-win32-common.h
 include/ace/config-win32-dmc.h
@@ -1277,24 +1279,24 @@ lib/libACE_HTBP.so.%%VERSION%%
 lib/libACE_INet.so
 lib/libACE_INet.so.6
 lib/libACE_INet.so.%%VERSION%%
-%%OPENSSL%%lib/libACE_INet_SSL.so
-%%OPENSSL%%lib/libACE_INet_SSL.so.6
-%%OPENSSL%%lib/libACE_INet_SSL.so.%%VERSION%%
+%%SSL%%lib/libACE_INet_SSL.so
+%%SSL%%lib/libACE_INet_SSL.so.6
+%%SSL%%lib/libACE_INet_SSL.so.%%VERSION%%
 lib/libACE_Monitor_Control.so
 lib/libACE_Monitor_Control.so.6
 lib/libACE_Monitor_Control.so.%%VERSION%%
-%%QT%%lib/libACE_QtReactor.so
-%%QT%%lib/libACE_QtReactor.so.6
-%%QT%%lib/libACE_QtReactor.so.%%VERSION%%
+%%QT4%%lib/libACE_QtReactor.so
+%%QT4%%lib/libACE_QtReactor.so.6
+%%QT4%%lib/libACE_QtReactor.so.%%VERSION%%
 lib/libACE_RLECompression.so
 lib/libACE_RLECompression.so.6
 lib/libACE_RLECompression.so.%%VERSION%%
 lib/libACE_RMCast.so
 lib/libACE_RMCast.so.6
 lib/libACE_RMCast.so.%%VERSION%%
-%%OPENSSL%%lib/libACE_SSL.so
-%%OPENSSL%%lib/libACE_SSL.so.6
-%%OPENSSL%%lib/libACE_SSL.so.%%VERSION%%
+%%SSL%%lib/libACE_SSL.so
+%%SSL%%lib/libACE_SSL.so.6
+%%SSL%%lib/libACE_SSL.so.%%VERSION%%
 lib/libACE_TMCast.so
 lib/libACE_TMCast.so.6
 lib/libACE_TMCast.so.%%VERSION%%
@@ -1319,10 +1321,10 @@ libdata/pkgconfig/ACE_ETCL_Parser.pc
 %%FLTK%%libdata/pkgconfig/ACE_FlReactor.pc
 libdata/pkgconfig/ACE_HTBP.pc
 libdata/pkgconfig/ACE_INet.pc
-%%OPENSSL%%libdata/pkgconfig/ACE_INet_SSL.pc
-%%QT%%libdata/pkgconfig/ACE_QtReactor.pc
+%%SSL%%libdata/pkgconfig/ACE_INet_SSL.pc
+%%QT4%%libdata/pkgconfig/ACE_QtReactor.pc
 libdata/pkgconfig/ACE_RMCast.pc
-%%OPENSSL%%libdata/pkgconfig/ACE_SSL.pc
+%%SSL%%libdata/pkgconfig/ACE_SSL.pc
 libdata/pkgconfig/ACE_TMCast.pc
 %%TK%%libdata/pkgconfig/ACE_TkReactor.pc
 %%X11%%libdata/pkgconfig/ACE_XtReactor.pc
@@ -1380,6 +1382,7 @@ libdata/pkgconfig/Kokyu.pc
 %%DATADIR%%/bin/MakeProjectCreator/config/acenosubsets.mpb
 %%DATADIR%%/bin/MakeProjectCreator/config/acexml.mpb
 %%DATADIR%%/bin/MakeProjectCreator/config/avoids_ace_for_tao.mpb
+%%DATADIR%%/bin/MakeProjectCreator/config/bmake.features
 %%DATADIR%%/bin/MakeProjectCreator/config/conv_lib.mpb
 %%DATADIR%%/bin/MakeProjectCreator/config/core.mpb
 %%DATADIR%%/bin/MakeProjectCreator/config/crosscompile.mpb
@@ -1419,6 +1422,7 @@ libdata/pkgconfig/Kokyu.pc
 %%DATADIR%%/bin/MakeProjectCreator/config/vc10nmake.mpb
 %%DATADIR%%/bin/MakeProjectCreator/config/vc11.features
 %%DATADIR%%/bin/MakeProjectCreator/config/vc11nmake.mpb
+%%DATADIR%%/bin/MakeProjectCreator/config/vc12nmake.mpb
 %%DATADIR%%/bin/MakeProjectCreator/config/vc71.features
 %%DATADIR%%/bin/MakeProjectCreator/config/vc8.features
 %%DATADIR%%/bin/MakeProjectCreator/config/vc8nmake.mpb
@@ -1503,6 +1507,7 @@ libdata/pkgconfig/Kokyu.pc
 %%DATADIR%%/include/makeinclude/platform_macosx_icc.GNU
 %%DATADIR%%/include/makeinclude/platform_macosx_leopard.GNU
 %%DATADIR%%/include/makeinclude/platform_macosx_lion.GNU
+%%DATADIR%%/include/makeinclude/platform_macosx_mavericks.GNU
 %%DATADIR%%/include/makeinclude/platform_macosx_mountainlion.GNU
 %%DATADIR%%/include/makeinclude/platform_macosx_panther.GNU
 %%DATADIR%%/include/makeinclude/platform_macosx_snowleopard.GNU
@@ -1562,8 +1567,8 @@ libdata/pkgconfig/Kokyu.pc
 %%TK%%@dirrm include/ace/TkReactor
 @dirrm include/ace/TMCast
 @dirrm include/ace/RMCast
-%%QT%%@dirrm include/ace/QtReactor
-%%OPENSSL%%@dirrm include/ace/SSL
+%%QT4%%@dirrm include/ace/QtReactor
+%%SSL%%@dirrm include/ace/SSL
 @dirrm include/ace/Monitor_Control
 @dirrm include/ace/INet
 @dirrm include/ace/HTBP
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Jason E. Hale freebsd_committer 2013-10-10 08:22:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!